%bcond_without perl_Pod_Plainer_enables_optional_test
Name:                perl-Pod-Plainer
Version:             1.04
Release:             11
Summary:             Perl extension for converting modern POD to old-style POD
License:             GPL+ or Artistic
URL:                 https://metacpan.org/release/Pod-Plainer
Source0:             https://cpan.metacpan.org/authors/id/R/RM/RMBARKER/Pod-Plainer-%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       make perl-generators perl-interpreter perl(:VERSION) >= 5.6
BuildRequires:       perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) perl(Pod::Parser) perl(warnings)
BuildRequires:       perl(Test::More)
%if                  %{with perl_Pod_Plainer_enables_optional_test}
BuildRequires:       perl(Test::Pod) >= 1.00 perl(Test::Pod::Coverage) >= 1.00
%endif
Requires:            perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%description
This was a core module in the Perl distribution to aid adoption of extended POD featues.
It is no longer needed in the Perl distribution and is being migrated to CPAN.

%prep
%autosetup  -n Pod-Plainer-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build
%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes
%{perl_vendorlib}/Pod
%{_mandir}/man3/Pod::Plainer.3pm*

%changelog
* Wed Apr 22 2020 yanan li <liyanan032@huawei.com> - 1.04-11
- package init
